/// <reference types="react" />
import type { CalculatedColumn, DataGridProps, FilterOptions, Filters, ISelectRange, SortInfo, ISelectorEvent } from './types';
declare type SharedDataGridProps<R, SR> = Pick<DataGridProps<R, SR>, 'onSort'>;
export interface HeaderRowProps<R, SR> extends SharedDataGridProps<R, SR> {
    columns: readonly CalculatedColumn<R, SR>[];
    allRowsSelected: boolean;
    selectedRange: ISelectRange;
    onColumnResize: (column: CalculatedColumn<R, SR>, width: number) => void;
    lastFrozenColumnIndex: number;
    selectedColumns: Set<string>;
    onGridSelect: (data: ISelectorEvent) => void;
    sortInfo: SortInfo;
    enableSortRow: boolean;
    rowFilterOptions: FilterOptions;
    rowFilters?: Filters;
    onFiltersChange?: (newFilters: Filters) => void;
    onColumnReorder?: (sourceColumnKey: string, targetColumnKey: string) => void;
}
declare function HeaderRow<R, SR>({ columns, onColumnReorder, allRowsSelected, selectedRange, selectedColumns, onGridSelect, onColumnResize, sortInfo, enableSortRow, rowFilterOptions, rowFilters, onFiltersChange, onSort, lastFrozenColumnIndex }: HeaderRowProps<R, SR>): import("react").JSX.Element;
declare const _default: typeof HeaderRow;
export default _default;
//# sourceMappingURL=HeaderRow.d.ts.map