import type { CalculatedColumn, Column, ColumnMetric } from '../types';
import type { DataGridProps } from '../types';
interface CalculatedColumnsArgs<R, SR> extends Pick<DataGridProps<R, SR>, 'defaultColumnOptions'> {
    rawColumns: readonly Column<R, SR>[];
    rawGroupBy?: readonly string[];
    viewportWidth: number;
    scrollLeft: number;
    columnWidths: ReadonlyMap<string, number>;
    enableVirtualization: boolean;
    rowsCount: number;
    readonly?: boolean;
}
export declare function useCalculatedColumns<R, SR>({ rawColumns, columnWidths, viewportWidth, scrollLeft, defaultColumnOptions, rawGroupBy, enableVirtualization, rowsCount, readonly }: CalculatedColumnsArgs<R, SR>): {
    columns: CalculatedColumn<R, SR>[];
    colOverscanStartIdx: number;
    colOverscanEndIdx: number;
    layoutCssVars: Record<string, string>;
    columnMetrics: Map<CalculatedColumn<R, SR>, ColumnMetric>;
    totalColumnWidth: number;
    lastFrozenColumnIndex: number;
    totalFrozenColumnWidth: number;
    groupBy: string[];
    colVisibleStartIdx: number | undefined;
    colVisibleEndIdx: number | undefined;
};
export {};
//# sourceMappingURL=useCalculatedColumns.d.ts.map